/*
 * Copyright (C) 2015 Michal Kosciesza <michal@mkiol.net>
 * 
 * This file is part of Kaktus.
 * 
 * Kaktus is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Kaktus is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Kaktus.  If not, see <http://www.gnu.org/licenses/>.
 */

import bb.cascades 1.2

Container {
    id: root
    
    topPadding: 0
    bottomPadding: 0
    
    property string title
    property string description
    
    Label {
        text: title
        textStyle.base: SystemDefaults.TextStyles.BodyText
        multiline: true
        topMargin: 0; topPadding: 0; bottomMargin: 0; bottomPadding: 0;
    }
    
    Label {
        topMargin: utils.du(1); topPadding: 0;
        text: description
        textStyle.base: SystemDefaults.TextStyles.SubtitleText
        multiline: true
    }
    
    Container {
        preferredHeight: utils.du(2)
    }
}
